Subject: Re: bug#62536: 30.0.50; Can we add """ ... """ electric pair in elixir, just like python

From: Wilhelm Kirschbaum <[email-masked]>
Date: Tue, 04 Apr 2023 07:39:24 +0200

>> From: Wilhelm Kirschbaum <[email-masked]>
>> Date: Mon, 3 Apr 2023 16:17:51 +0200
>> Cc: 牟 桐 <[email-masked]>, [email-masked]
>> 
>> On Mon, 3 Apr 2023, 16:02 Eli Zaretskii, <[email-masked]> wrote:
>> 
>>  > Cc: "[email-masked]" <[email-masked]>
>>  > From: Wilhelm Kirschbaum <[email-masked]>
>>  > Date: Mon, 03 Apr 2023 10:26:59 +0200
>>  > 
>>  > These two patches should then be sufficient to better handle
>>  > heredocs for electric-pair-mode:
>> 
>>  Do these replace the two previous ones you posted?  Or are 
>>  they in
>>  addition to them?
>> 
>> Sorry, they replace the previous two.
>
> OK, but I understand you are still considering a better way to 
> solve
> this?  So I should not yet install the last patches?

I had a look and don't see how without changing elec-pair.el that 
there
is a more elegant way to do this.  I am happy with the current 
patches
to be installed and then perhaps if there is a better way we can 
apply
it to both python-mode and elixir-ts-mode later.